import { requestClient } from '#/api/request';

async function queryPage(param) {
  return requestClient.post('/auth/MessageTemplate/queryPage', param);
}

async function queryList(param) {
  return requestClient.post('/auth/MessageTemplate/queryList', param);
}

async function create(param) {
  return requestClient.post('/auth/MessageTemplate/addOne', param);
}

async function removeByUid(param) {
  return requestClient.post('/auth/MessageTemplate/removeByUid/' + param.uuid, param);
}

async function updateByUid(param) {
  return requestClient.post('/auth/MessageTemplate/updateByUid/' + param.uuid, param);
}

async function getById(param) {
  return requestClient.post('/auth/MessageTemplate/getById', param);
}

async function getByUuid(param) {
  return requestClient.post('/auth/MessageTemplate/getByUuid', param);
}

export const messageTemplate = {
  queryPage,
  queryList,
  create,
  removeByUid,
  updateByUid,
  getById,
  getByUuid,
}